#include <stack-c.h>

extern struct {
  int iflag;
  int interruptible;
} C2F(basbrk);

int test_ctrlc(char * fname)
{
  int i;

  sciprint("test_ctrlc: waiting for a ctrl+C\n");
  sciprint("test_ctrlc: iflag = %d\n", C2F(basbrk).iflag);
  sciprint("test_ctrlc: interruptible = %d\n", C2F(basbrk).interruptible);

  /* An infinite loop which will freeze scilab */
  for(i=0;;i++) 
    {
      if (C2F(basbrk).iflag)
	{
	  sciprint("test_ctrlc: iflag = %d\n", C2F(basbrk).iflag);
	  sciprint("test_ctrlc: interruptible = %d\n", C2F(basbrk).interruptible);
	  C2F(basbrk).iflag = 0;
	  C2F(basbrk).interruptible = 0;
	  return 0;
	}
    }

  return 0;
}
